"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = void 0;
var _cssJs = _interopRequireDefault(require("./css.js"));
var _jsJs = _interopRequireDefault(require("./js.js"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
var _default = {
    script: [
        /(?<=<script[^>]*?>)[^]*?(?=<\/script>)/,
        _jsJs.default
    ],
    style: [
        /(?<=<style[^>]*?>)[^]*?(?=<\/style>)/,
        _cssJs.default
    ],
    comment: /<!--[^]*?-->|<!--[^]*/,
    tag: [
        /(?<=<\/?)([^<]*?(".+?")[^<]*|([^>]*))(?=>)/,
        {
            _: [
                /^[/!]?[\w-]+/,
                {
                    tag: /[\w-]+/ // this small bypass so it doesn't highlight the slashes /
                }
            ],
            string: /".*?"/,
            attribute: /[\w-]+/
        }, 
    ]
};
exports.default = _default;
