"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = void 0;
var _utilJs = require("./util.js");
const ids = /[a-zA-Z_$][a-zA-Z0-9_$]*/;
const num = /inf|nan|\d[\d_]*(\.((e[+-]?)?[\d]+)+[kBb]*|(e[+-]?[\d]+)?[kBb]*)/;
const ops = /\+\+|--|\+=|-=|\*=|\/=|%=|<<=|>>=|&=|\^=|\|=|&&|!&|\|\||!=|==|>=|<=|>>|<<|\.\.|[{}\\"'`,\-~+*/%=<>?!:;.|&^@]{1}/;
var _default = {
    declare: [
        (0, _utilJs).join('', (0, _utilJs).modify('+', (0, _utilJs).join('|', ids, num, ops, /[[\](),.=\s+]/)), /\)\s+=/),
        {
            arguments: [
                /(?<=\().*?(?=\))/,
                {
                    declare: num,
                    string: /[[\]]/,
                    arguments: /\w+/,
                    operator: ops
                }
            ],
            arrow: /=$/,
            declare: ids,
            operator: ops,
            punctuation: /[[\]()]/
        }
    ],
    property: (0, _utilJs).join('', ids, /(?=\()/),
    number: num,
    string: /[[\]()]/,
    punctuation: /[[\](),]/,
    operator: ops
};
exports.default = _default;
