import { RegExpMapped, SyntaxDefinition, SyntaxOrImport } from './syntax';
export type { RegExpMapped, SyntaxDefinition, SyntaxOrImport };
export declare const languages: Record<string, SyntaxOrImport>;
declare const CodeSyntaxElement_base: {
    new (): HTMLElement;
    prototype: HTMLElement;
} & import("mixter").Class<import("mixter").Root> & import("mixter").Class<import("mixter").PropsType<{
    codeHTML: StringConstructor;
    language: StringConstructor;
    theme: StringConstructor;
}>> & import("mixter").Class<{
    syntax?: SyntaxOrImport | undefined;
    code?: HTMLElement | undefined;
    codeRawText?: string | undefined;
    highlight?: ((s: string) => string) | undefined;
    onTextContent?: ((textContent: string) => void) | undefined;
}> & import("mixter").Class<{
    host: HTMLElement & import("mixter").Root & import("mixter").PropsType<{
        codeHTML: StringConstructor;
        language: StringConstructor;
        theme: StringConstructor;
    }> & {
        syntax?: SyntaxOrImport | undefined;
        code?: HTMLElement | undefined;
        codeRawText?: string | undefined;
        highlight?: ((s: string) => string) | undefined;
        onTextContent?: ((textContent: string) => void) | undefined;
    };
    isMounted?: boolean | undefined;
}>;
export declare class CodeSyntaxElement extends CodeSyntaxElement_base {
}
