"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
var _exportNames = {};
var _element = _interopRequireWildcard(require("./element"));
Object.keys(_element).forEach(function(key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in exports && exports[key] === _element[key]) return;
    Object.defineProperty(exports, key, {
        enumerable: true,
        get: function() {
            return _element[key];
        }
    });
});
var _syntax = _interopRequireWildcard(require("./syntax"));
Object.keys(_syntax).forEach(function(key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in exports && exports[key] === _syntax[key]) return;
    Object.defineProperty(exports, key, {
        enumerable: true,
        get: function() {
            return _syntax[key];
        }
    });
});
var _util = _interopRequireWildcard(require("./util"));
Object.keys(_util).forEach(function(key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in exports && exports[key] === _util[key]) return;
    Object.defineProperty(exports, key, {
        enumerable: true,
        get: function() {
            return _util[key];
        }
    });
});
function _interopRequireWildcard(obj) {
    if (obj && obj.__esModule) {
        return obj;
    } else {
        var newObj = {};
        if (obj != null) {
            for(var key in obj){
                if (Object.prototype.hasOwnProperty.call(obj, key)) {
                    var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {};
                    if (desc.get || desc.set) {
                        Object.defineProperty(newObj, key, desc);
                    } else {
                        newObj[key] = obj[key];
                    }
                }
            }
        }
        newObj.default = obj;
        return newObj;
    }
}
