"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = void 0;
var _jsJs = _interopRequireDefault(require("./js.js"));
var _utilJs = require("./util.js");
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const comment = (0, _utilJs).join('|', /(\/\*)[^]*?(\*\/)/, /(\/\*)[^]*/);
var _default = {
    comment,
    attribute: [
        /(?<=\[)[^\]]*?(?=\])/,
        {
            string: _jsJs.default.string,
            attribute: /\w+?/
        }
    ],
    rules: [
        /\{[^]*?\}/,
        {
            comment,
            string: _jsJs.default.string,
            normal: /--[\w-]+/,
            declare: (0, _utilJs).join('|', /[\w-]+(?=:)/, (0, _utilJs).split('var url ch px pt em rem vw vh vmax vmin')),
            number: (0, _utilJs).join('|', _jsJs.default.number, /#[a-fA-F0-9]+/),
            value: /(?<=:)[\sa-z-]*(?=;|.*})/
        }
    ],
    tag: /[\w-]+/,
    property: /[.#][^\s]+/,
    operator: _jsJs.default.operator
};
exports.default = _default;
