"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.patchPreCodeElements = exports.patchElements = void 0;
var _ = require(".");
const patchElements = (elements, { theme ='deep' , getLanguage =(el)=>[
        ...el.classList
    ].filter((x)=>x.startsWith('language-')
    )[0].split('-').pop()
 ,  } = {})=>elements.forEach((oldEl)=>{
        const newEl = new _.CodeSyntaxElement();
        newEl.textContent = oldEl.textContent;
        newEl.setAttribute('theme', theme);
        newEl.setAttribute('language', getLanguage(oldEl));
        oldEl.replaceWith(newEl);
    })
;
exports.patchElements = patchElements;
const patchPreCodeElements = (opts)=>patchElements([
        ...document.querySelectorAll('code')
    ].filter((el)=>el.parentNode?.nodeName === 'PRE'
    ), opts)
;
exports.patchPreCodeElements = patchPreCodeElements;
